> This page is for Itential Platform Cloud.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Validate a workflow

POST https://example.itential.io/automation-studio/workflows/validate
Content-Type: application/json

Validates a workflow, and return the resulting errors and warnings arrays.

Reference: https://docs-test.itntl.com/itential-cloud/api-reference/automation-studio/validate-workflow

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `workflow` (automation-studio_workflowDocumentAll, optional) — Accepts all generation workflow documents

## Response

### 200

Errors and warnings output from the validation process

- `errors` (list of AutomationStudioWorkflowsValidatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `warnings` (list of AutomationStudioWorkflowsValidatePostResponsesContentApplicationJsonSchemaWarningsItems, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### automation-studio_workflowDocumentAll

Accepts all generation workflow documents

- `name` (string, required)
- `type` (string, required, default: automation)
- `tasks` (AutomationStudioWorkflowDocumentAllTasks, required)
- `transitions` (AutomationStudioWorkflowDocumentAllTransitions, required)
- `groups` (list of AutomationStudioWorkflowDocumentAllGroupsItems, required)
- `_id` (string, optional)
- `uuid` (string, optional)
- `namespace` (AutomationStudioWorkflowDocumentAllNamespace, optional, nullable)
- `description` (string, optional, nullable)
- `preAutomationTime` (integer, optional) — Time (milliseconds) automation would have taken someone to complete without using IAP.
- `sla` (integer, optional)
- `errorHandler` (AutomationStudioWorkflowDocumentAllErrorHandler, optional, nullable) — Deprecated gen2-specific feature
- `font_size` (integer, optional, default: 12) — Deprecated, unused, gen1-specific feature
- `created` (string, optional)
- `created_by` (AutomationStudioWorkflowDocumentAllCreatedBy, optional)
- `createdBy` (string, optional) — Project related regression bug. This field needs to be accepted
- `createdVersion` (string, optional)
- `last_updated` (string, optional)
- `last_updated_by` (AutomationStudioWorkflowDocumentAllLastUpdatedBy, optional)
- `lastUpdatedVersion` (string, optional) — This value represents the semantic version of the application that last modified it. For workflows with canvasVersion = 1, this field will refer to the version of Workflow Builder. For workflows with canvasVersion > 1, this field will refer to the version of Studio.
- `tags` (list of AutomationStudioWorkflowDocumentAllTagsItems, optional)
- `canvasVersion` (enum, optional)
  - Allowed values: `1`, `1.5`, `2`, `3`
- `encodingVersion` (enum, optional)
  - Allowed values: `1`
- `inputSchema` (AutomationStudioWorkflowDocumentAllInputSchema, optional)
- `outputSchema` (AutomationStudioWorkflowDocumentAllOutputSchema, optional)
- `outputData` (map from string to AutomationStudioWorkflowDocumentAllOutputData, optional) — Deprecated gen2-specific feature
- `decorators` (list of AutomationStudioWorkflowDocumentAllDecoratorsItems, optional)
- `migrationVersion` (integer, optional)
- `scenarios` (list of AutomationStudioWorkflowDocumentAllScenariosItems, optional)

### AutomationStudioWorkflowsValidatePostResponsesContentApplicationJsonSchemaErrorsItems

### AutomationStudioWorkflowsValidatePostResponsesContentApplicationJsonSchemaWarningsItems

### AutomationStudioWorkflowDocumentAllTasks

- `workflow_start` (AutomationStudioWorkflowDocumentAllTasksWorkflowStart, required)
- `workflow_end` (AutomationStudioWorkflowDocumentAllTasksWorkflowEnd, required)
- `error_handler` (AutomationStudioWorkflowDocumentAllTasksErrorHandler, optional) — Deprecated gen2-specific feature

### AutomationStudioWorkflowDocumentAllTransitions

- `workflow_start` (AutomationStudioWorkflowDocumentAllTransitionsWorkflowStart, optional)
- `workflow_end` (AutomationStudioWorkflowDocumentAllTransitionsWorkflowEnd, optional)
- `error_handler` (AutomationStudioWorkflowDocumentAllTransitionsErrorHandler, optional)

### AutomationStudioWorkflowDocumentAllGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### AutomationStudioWorkflowDocumentAllNamespace

- `type` (any, required)
- `_id` (AutomationStudioWorkflowDocumentAllNamespaceId, required) — A MongoDB ObjectId
- `name` (string, required)

### AutomationStudioWorkflowDocumentAllErrorHandler

Deprecated gen2-specific feature

- `type` (string, optional)
- `name` (string, optional)

### AutomationStudioWorkflowDocumentAllCreatedBy

### AutomationStudioWorkflowDocumentAllLastUpdatedBy

### AutomationStudioWorkflowDocumentAllTagsItems

- `_id` (string, required)
- `name` (string, required)
- `description` (string, required)

### AutomationStudioWorkflowDocumentAllInputSchema

### AutomationStudioWorkflowDocumentAllOutputSchema

### AutomationStudioWorkflowDocumentAllOutputData

- `taskId` (string, optional)
- `taskPointer` (string, optional)

### AutomationStudioWorkflowDocumentAllDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`, `query`
- `pointer` (string, optional)
- `displayPath` (string, optional)

### AutomationStudioWorkflowDocumentAllScenariosItems

- `name` (string, required)
- `input` (AutomationStudioWorkflowDocumentAllScenariosItemsInput, required)
- `description` (string, optional)
- `taskMocks` (AutomationStudioWorkflowDocumentAllScenariosItemsTaskMocks, optional)
- `last_updated` (string, optional)
- `last_updated_by` (AutomationStudioWorkflowDocumentAllScenariosItemsLastUpdatedBy, optional)

### AutomationStudioWorkflowDocumentAllTasksWorkflowStart

- `name` (string, optional)
- `summary` (string, optional)
- `groups` (list of AutomationStudioWorkflowDocumentAllTasksWorkflowStartGroupsItems, optional)
- `x` (double, optional) — Stores the x coordinate used by canvasVersion: 1 workflows
- `y` (double, optional) — Stores the y coordinate used by canvasVersion: 1 workflows
- `gridCoordinate` (AutomationStudioWorkflowDocumentAllTasksWorkflowStartGridCoordinate, optional)
- `nodeLocation` (AutomationStudioWorkflowDocumentAllTasksWorkflowStartNodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows

### AutomationStudioWorkflowDocumentAllTasksWorkflowEnd

- `name` (string, optional)
- `summary` (string, optional)
- `groups` (list of AutomationStudioWorkflowDocumentAllTasksWorkflowEndGroupsItems, optional)
- `x` (double, optional) — Stores the x coordinate used by canvasVersion: 1 workflows
- `y` (double, optional) — Stores the y coordinate used by canvasVersion: 1 workflows
- `gridCoordinate` (AutomationStudioWorkflowDocumentAllTasksWorkflowEndGridCoordinate, optional)
- `nodeLocation` (AutomationStudioWorkflowDocumentAllTasksWorkflowEndNodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows

### AutomationStudioWorkflowDocumentAllTasksErrorHandler

Deprecated gen2-specific feature

- `name` ("childJob", required)
- `summary` (string, required)
- `description` (string, required)
- `app` (string, required)
- `variables` (AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariables, required)
- `groups` (list of AutomationStudioWorkflowDocumentAllTasksErrorHandlerGroupsItems, required)
- `type` ("operation", required)
- `deprecated` (boolean, optional)
- `scheduled` (boolean, optional)
- `retrySettings` (AutomationStudioWorkflowDocumentAllTasksErrorHandlerRetrySettings, optional, nullable) — Retry settings for a task.

### AutomationStudioWorkflowDocumentAllTransitionsWorkflowStart

### AutomationStudioWorkflowDocumentAllTransitionsWorkflowEnd

### AutomationStudioWorkflowDocumentAllTransitionsErrorHandler

### AutomationStudioWorkflowDocumentAllNamespaceId

A MongoDB ObjectId

### AutomationStudioWorkflowDocumentAllCreatedBy0

- `username` (string, required)
- `provenance` (string, required)

### AutomationStudioWorkflowDocumentAllLastUpdatedBy0

- `username` (string, required)
- `provenance` (string, required)

### AutomationStudioWorkflowDocumentAllScenariosItemsInput

### AutomationStudioWorkflowDocumentAllScenariosItemsTaskMocks

### AutomationStudioWorkflowDocumentAllScenariosItemsLastUpdatedBy

### AutomationStudioWorkflowDocumentAllTasksWorkflowStartGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### AutomationStudioWorkflowDocumentAllTasksWorkflowStartGridCoordinate

- `x` (double, required)
- `y` (double, required)

### AutomationStudioWorkflowDocumentAllTasksWorkflowStartNodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### AutomationStudioWorkflowDocumentAllTasksWorkflowEndGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### AutomationStudioWorkflowDocumentAllTasksWorkflowEndGridCoordinate

- `x` (double, required)
- `y` (double, required)

### AutomationStudioWorkflowDocumentAllTasksWorkflowEndNodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariables

- `incoming` (AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariablesIncoming, required)
- `outgoing` (AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariablesOutgoing, required)
- `error` (string, optional)
- `decorators` (list of AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariablesDecoratorsItems, optional)

### AutomationStudioWorkflowDocumentAllTasksErrorHandlerGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### AutomationStudioWorkflowDocumentAllTasksErrorHandlerRetrySettings

Retry settings for a task.

- `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states.
  - Allowed values: `success`, `error`, `failure`
- `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually.
- `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying.
- `delay` (integer, required) — Delay between each retry in milliseconds.
- `count` (integer, optional) — Current retry count used for workflow engine job processing

### AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariablesIncoming

### AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariablesOutgoing

### AutomationStudioWorkflowDocumentAllTasksErrorHandlerVariablesDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`, `query`
- `pointer` (string, optional)
- `displayPath` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "errors": [
    {}
  ],
  "warnings": [
    {}
  ]
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/automation-studio/workflows/validate"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/automation-studio/workflows/validate';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/automation-studio/workflows/validate"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/automation-studio/workflows/validate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/automation-studio/workflows/validate")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/automation-studio/workflows/validate', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/automation-studio/workflows/validate");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/workflows/validate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```